.head 0 +  Application Description: 
Static control styles :

SS_LEFT			0x00000000L
SS_CENTER		0x00000001L
SS_RIGHT		0x00000002L
SS_ICON			0x00000003L
SS_BLACKRECT		0x00000004L
SS_GRAYRECT		0x00000005L
SS_WHITERECT		0x00000006L
SS_BLACKFRAME		0x00000007L
SS_GRAYFRAME		0x00000008L
SS_WHITEFRAME		0x00000009L
SS_USERITEM		0x0000000AL
SS_SIMPLE		0x0000000BL
SS_LEFTNOWORDWRAP	0x0000000CL
SS_OWNERDRAW	0x0000000DL
SS_BITMAP		0x0000000EL
SS_ENHMETAFILE		0x0000000FL
SS_ETCHEDHORZ		0x00000010L
SS_ETCHEDVERT		0x00000011L
SS_ETCHEDFRAME	0x00000012L
SS_TYPEMASK		0x0000001FL
SS_NOPREFIX		0x00000080L
SS_NOTIFY		0x00000100L
SS_CENTERIMAGE	0x00000200L
SS_RIGHTJUST		0x00000400L
SS_REALSIZEIMAGE	0x00000800L
SS_SUNKEN		0x00001000L
SS_ENDELLIPSIS		0x00004000L
SS_PATHELLIPSIS		0x00008000L
SS_WORDELLIPSIS	0x0000C000L
SS_ELLIPSISMASK	0x0000C000L

Some styles description ( for more sear in MSDN ) - you can combine styles and set it in 'MS Windows style' property in custom control

SS_BLACKFRAME		Specifies a box with a frame drawn with the same color as window frames. The default is black.
SS_BLACKRECT		Specifies a rectangle filled with the color used to draw window frames. The default is black.
SS_CENTER		Designates a simple rectangle and displays the given text centered in the rectangle. The text is formatted before it is
			displayed. Words that would extend past the end of a line are automatically wrapped to the beginning of the next
			centered line.
SS_GRAYFRAME		Specifies a box with a frame drawn with the same color as the screen background (desktop). The default is gray.
SS_GRAYRECT		Specifies a rectangle filled with the color used to fill the screen background. The default is gray.
SS_ICON			Designates an icon displayed in the dialog box. The given text is the name of an icon (not a filename) defined
			elsewhere in the resource file. The nWidth and nHeight parameters are ignored; the icon automatically sizes itself.
SS_LEFT			Designates a simple rectangle and displays the given text flush-left in the rectangle. The text is formatted before it is
			displayed. Words that would extend past the end of a line are automatically wrapped to the beginning of the next
			flush-left line.
SS_LEFTNOWORDWRAP	Designates a simple rectangle and displays the given text flush-left in the rectangle. Tabs are expanded, but words
			are not wrapped. Text that extends past the end of a line is clipped.
SS_NOPREFIX		Unless this style is specified, Windows will interpret any ampersand (&) characters in the control's text to be accelerator
			prefix characters. In this case, the ampersand (&) is removed and the next character in the string is underlined. If a static
			control is to contain text where this feature is not wanted, SS_NOPREFIX may be added. This static-control style may
			be included with any of the defined static controls. You can combine SS_NOPREFIX with other styles by using the
			bitwise OR operator. This is most often used when filenames or other strings that may contain an ampersand (&) need
			to be displayed in a static control in a dialog box.
SS_RIGHT		Designates a simple rectangle and displays the given text flush-right in the rectangle. The text is formatted before it is
			displayed. Words that would extend past the end of a line are automatically wrapped to the beginning of the next
			flush-right line.
SS_SIMPLE		Designates a simple rectangle and displays a single line of text flush-left in the rectangle. The line of text cannot be
			shortened or altered in any way. (The control's parent window or dialog box must not process the WM_CTLCOLOR
			message.)
SS_USERITEM		Specifies a user-defined item.
SS_WHITEFRAME		Specifies a box with a frame drawn with the same color as the window background. The default is white.
SS_WHITERECT		Specifies a rectangle filled with the color used to fill the window background. The default is white. 
.head 1 -  Outline Version - 4.0.27
.head 1 +  Design-time Settings
.data VIEWINFO
0000: 6F00000001000000 FFFF01000D004347 5458566965775374 6174650400010000
0020: 0000000000A50000 002C000000020000 0003000000FFFFFF FFFFFFFFFFFCFFFF
0040: FFEBFFFFFFFFFFFF FF000000007C0200 004D010000010000 0001000000010000
0060: 000F4170706C6963 6174696F6E497465 6D00000000
.enddata
.head 2 -  Outline Window State: Normal
.head 2 +  Outline Window Location and Size
.data VIEWINFO
0000: 6600040003002D00 0000000000000000 0000B71E5D0E0500 1D00FFFF4D61696E
0020: 0000000000000000 0000000000000000 0000003B00010000 00000000000000E9
0040: 1E800A00008600FF FF496E7465726E61 6C2046756E637469 6F6E730000000000
0060: 0000000000000000 0000000000003200 0100000000000000 0000E91E800A0000
0080: DF00FFFF56617269 61626C6573000000 0000000000000000 0000000000000000
00A0: 3000010000000000 00000000F51E100D 0000F400FFFF436C 6173736573000000
00C0: 0000000000000000 0000000000000000
.enddata
.data VIEWSIZE
0000: D000
.enddata
.head 3 -  Left: -0.013"
.head 3 -  Top:    0.0"
.head 3 -  Width:  8.013"
.head 3 -  Height: 4.969"
.head 2 +  Options Box Location
.data VIEWINFO
0000: D4180909B80B1A00
.enddata
.data VIEWSIZE
0000: 0800
.enddata
.head 3 -  Visible? No
.head 3 -  Left: 4.15"
.head 3 -  Top:    1.885"
.head 3 -  Width:  3.8"
.head 3 -  Height: 2.073"
.head 2 +  Class Editor Location
.head 3 -  Visible? No
.head 3 -  Left: 0.575"
.head 3 -  Top:    0.094"
.head 3 -  Width:  5.063"
.head 3 -  Height: 2.719"
.head 2 +  Tool Palette Location
.head 3 -  Visible? No
.head 3 -  Left: 6.388"
.head 3 -  Top:    0.729"
.head 2 -  Fully Qualified External References? Yes
.head 2 -  Reject Multiple Window Instances? No
.head 2 -  Enable Runtime Checks Of External References? Yes
.head 2 -  Use Release 4.0 Scope Rules? No
.head 1 -  Libraries
.head 1 +  Global Declarations
.head 2 +  Window Defaults
.head 3 +  Tool Bar
.head 4 -  Display Style? Etched
.head 4 -  Font Name: MS Sans Serif
.head 4 -  Font Size: 8
.head 4 -  Font Enhancement: System Default
.head 4 -  Text Color: System Default
.head 4 -  Background Color: System Default
.head 3 +  Form Window
.head 4 -  Display Style? Etched
.head 4 -  Font Name: MS Sans Serif
.head 4 -  Font Size: 8
.head 4 -  Font Enhancement: System Default
.head 4 -  Text Color: System Default
.head 4 -  Background Color: System Default
.head 3 +  Dialog Box
.head 4 -  Display Style? Etched
.head 4 -  Font Name: MS Sans Serif
.head 4 -  Font Size: 8
.head 4 -  Font Enhancement: System Default
.head 4 -  Text Color: System Default
.head 4 -  Background Color: System Default
.head 3 +  Top Level Table Window
.head 4 -  Font Name: MS Sans Serif
.head 4 -  Font Size: 8
.head 4 -  Font Enhancement: System Default
.head 4 -  Text Color: System Default
.head 4 -  Background Color: System Default
.head 3 +  Data Field
.head 4 -  Font Name: Use Parent
.head 4 -  Font Size: Use Parent
.head 4 -  Font Enhancement: Use Parent
.head 4 -  Text Color: Use Parent
.head 4 -  Background Color: Use Parent
.head 3 +  Multiline Field
.head 4 -  Font Name: Use Parent
.head 4 -  Font Size: Use Parent
.head 4 -  Font Enhancement: Use Parent
.head 4 -  Text Color: Use Parent
.head 4 -  Background Color: Use Parent
.head 3 +  Spin Field
.head 4 -  Font Name: Use Parent
.head 4 -  Font Size: Use Parent
.head 4 -  Font Enhancement: Use Parent
.head 4 -  Text Color: Use Parent
.head 4 -  Background Color: Use Parent
.head 3 +  Background Text
.head 4 -  Font Name: Use Parent
.head 4 -  Font Size: Use Parent
.head 4 -  Font Enhancement: Use Parent
.head 4 -  Text Color: Use Parent
.head 4 -  Background Color: Use Parent
.head 3 +  Pushbutton
.head 4 -  Font Name: Use Parent
.head 4 -  Font Size: Use Parent
.head 4 -  Font Enhancement: Use Parent
.head 3 +  Radio Button
.head 4 -  Font Name: Use Parent
.head 4 -  Font Size: Use Parent
.head 4 -  Font Enhancement: Use Parent
.head 4 -  Text Color: Use Parent
.head 4 -  Background Color: Use Parent
.head 3 +  Check Box
.head 4 -  Font Name: Use Parent
.head 4 -  Font Size: Use Parent
.head 4 -  Font Enhancement: Use Parent
.head 4 -  Text Color: Use Parent
.head 4 -  Background Color: Use Parent
.head 3 +  Option Button
.head 4 -  Font Name: Use Parent
.head 4 -  Font Size: Use Parent
.head 4 -  Font Enhancement: Use Parent
.head 3 +  Group Box
.head 4 -  Font Name: Use Parent
.head 4 -  Font Size: Use Parent
.head 4 -  Font Enhancement: Use Parent
.head 4 -  Text Color: Use Parent
.head 4 -  Background Color: Use Parent
.head 3 +  Child Table Window
.head 4 -  Font Name: Use Parent
.head 4 -  Font Size: Use Parent
.head 4 -  Font Enhancement: Use Parent
.head 4 -  Text Color: Use Parent
.head 4 -  Background Color: Use Parent
.head 3 +  List Box
.head 4 -  Font Name: Use Parent
.head 4 -  Font Size: Use Parent
.head 4 -  Font Enhancement: Use Parent
.head 4 -  Text Color: Use Parent
.head 4 -  Background Color: Use Parent
.head 3 +  Combo Box
.head 4 -  Font Name: Use Parent
.head 4 -  Font Size: Use Parent
.head 4 -  Font Enhancement: Use Parent
.head 4 -  Text Color: Use Parent
.head 4 -  Background Color: Use Parent
.head 3 +  Line
.head 4 -  Line Color: Use Parent
.head 3 +  Frame
.head 4 -  Border Color: Use Parent
.head 4 -  Background Color: 3D Face Color
.head 3 +  Picture
.head 4 -  Border Color: Use Parent
.head 4 -  Background Color: Use Parent
.head 2 +  Formats
.head 3 -  Number: 0'%'
.head 3 -  Number: #0
.head 3 -  Number: ###000
.head 3 -  Number: ###000;'($'###000')'
.head 3 -  Date/Time: hh:mm:ss AMPM
.head 3 -  Date/Time: M/d/yy
.head 3 -  Date/Time: MM-dd-yy
.head 3 -  Date/Time: dd-MMM-yyyy
.head 3 -  Date/Time: MMM d, yyyy
.head 3 -  Date/Time: MMM d, yyyy hh:mm AMPM
.head 3 -  Date/Time: MMMM d, yyyy hh:mm AMPM
.head 2 +  External Functions
.head 3 +  Library name: user32.dll
.head 4 +  Function: SetWindowLongA
.head 5 +  Description:
.head 6 -  ! 
The SetWindowLong function changes an attribute of the specified window.
The function also sets a 32-bit (long) value at the specified offset into the extra window memory of a window.

LONG SetWindowLong(

	HWND hWnd,		// handle of window
	int nIndex,		// offset of value to set
	LONG dwNewLong		// new value
);
 
Parameters:
	hWnd 		Identifies the window and, indirectly, the class to which the window belongs.
	nIndex 		Specifies the zero-based offset to the value to be set. Valid values are in the range zero through the number of
			bytes of extra window memory, minus 4; for example, if you specified 12 or more bytes of extra memory, a value
			of 8 would be an index to the third 32-bit integer. To set any other value, specify one of the following values:

			Value 			Action
			GWL_EXSTYLE 		Sets a new extended window style.
			GWL_STYLE 		Sets a new window style.
			GWL_WNDPROC 		Sets a new address for the window procedure.
			GWL_HINSTANCE 	Sets a new application instance handle.
			GWL_ID 			Sets a new identifier of the window.
			GWL_USERDATA 		Sets the 32-bit value associated with the window. Each window has a corresponding 32-bit
						value intended for use by the application that created the window.
 
			The following values are also available when the hWnd parameter identifies a dialog box:

			Value 			Action
			DWL_DLGPROC 		Sets the new address of the dialog box procedure.
			DWL_MSGRESULT 	Sets the return value of a message processed in the dialog box procedure.
			DWL_USER 		Sets new extra information that is private to the application, such as handles or pointers.

	dwNewLong 	Specifies the replacement value.

Return Values:
	If the function succeeds, the return value is the previous value of the specified 32-bit integer.
	If the function fails, the return value is zero. To get extended error information, call GetLastError.

	If the previous value of the specified 32-bit integer is zero, and the function succeeds, the return value is zero, but the function does
	not clear the last error information. This makes it difficult to determine success or failure. To deal with this, you should clear the last
	error information by calling SetLastError(0) before calling SetWindowLong. Then, function failure will be indicated by a return value of zero
	and a GetLastError result that is nonzero.

Remarks:
	The SetWindowLong function fails if the window specified by the hWnd parameter does not belong to the same process as the calling thread.

	If you use the SetWindowLong function and the GWL_WNDPROC index to replace the window procedure, the window procedure must
	conform to the guidelines specified in the description of the WindowProc callback function.

	Calling SetWindowLong with the GWL_WNDPROC index creates a subclass of the window class used to create the window.
	An application should not subclass a window created by another process.
	The SetWindowLong function creates the window subclass by changing the window procedure associated with a particular window,
	causing Windows to call the new window procedure instead of the previous one.
	An application must pass any messages not processed by the new window procedure to the previous window procedure by calling
	CallWindowProc. This allows the application to create a chain of window procedures.

	Reserve extra window memory by specifying a nonzero value in the cbWndExtra member of the WNDCLASS structure used with the
	RegisterClass function.

	You must not call SetWindowLong with the GWL_HWNDPARENT index to change the parent of a child window. Instead, use the
	SetParent function.
.head 5 -  Export Ordinal: 0
.head 5 +  Returns
.head 6 -  Number: LONG
.head 5 +  Parameters
.head 6 -  Window Handle: HWND
.head 6 -  Number: INT
.head 6 -  Number: LONG
.head 4 +  Function: GetWindowLongA
.head 5 +  Description:
.head 6 -  ! 
The GetWindowLong function retrieves information about the specified window.
The function also retrieves the 32-bit (long) value at the specified offset into the extra window memory of a window.

LONG GetWindowLong(

	HWND hWnd,			// handle of window
	int nIndex				// offset of value to retrieve
);

Parameters:
	hWnd 		Identifies the window and, indirectly, the class to which the window belongs.
	nIndex 		Specifies the zero-based offset to the value to be retrieved. Valid values are in the range zero through the number of bytes of
			extra window memory, minus four; for example, if you specified 12 or more bytes of extra memory, a value of 8 would be an
			index to the third 32-bit integer. To retrieve any other value, specify one of the following values:

			Value 			Action
			GWL_EXSTYLE 		Retrieves the extended window styles.
			GWL_STYLE 		Retrieves the window styles.
			GWL_WNDPROC 		Retrieves the address of the window procedure, or a handle representing the address of the
						window procedure. You must use the CallWindowProc function to call the window procedure.
			GWL_HINSTANCE 	Retrieves the handle of the application instance.
			GWL_HWNDPARENT 	Retrieves the handle of the parent window, if any.
			GWL_ID 			Retrieves the identifier of the window.
			GWL_USERDATA 		Retrieves the 32-bit value associated with the window. Each window has a corresponding
						32-bit value intended for use by the application that created the window.

			The following values are also available when the hWnd parameter identifies a dialog box:

			Value 			Action
			DWL_DLGPROC 		Retrieves the address of the dialog box procedure, or a handle representing the address of the
						dialog box procedure. You must use the CallWindowProc function to call the dialog box procedure.
			DWL_MSGRESULT 	Retrieves the return value of a message processed in the dialog box procedure.
			DWL_USER 		Retrieves extra information private to the application, such as handles or pointers.
 
Return Values:
	If the function succeeds, the return value is the requested 32-bit value.
	If the function fails, the return value is zero. To get extended error information, call GetLastError.

Remarks:
	Reserve extra window memory by specifying a nonzero value in the cbWndExtra member of the WNDCLASS structure used with the
	RegisterClass function.
.head 5 -  Export Ordinal: 0
.head 5 +  Returns
.head 6 -  Number: LONG
.head 5 +  Parameters
.head 6 -  Window Handle: HWND
.head 6 -  Number: INT
.head 2 +  Constants
.data CCDATA
0000: 3000000000000000 0000000000000000 00000000
.enddata
.data CCSIZE
0000: 1400
.enddata
.head 3 +  System
.head 4 +  Number: GWL_EXSTYLE			= -20
.head 5 -  ! Retrieves the extended window styles.
.head 4 +  Number: GWL_HINSTANCE			= -6
.head 5 -  ! Retrieves the handle of the application instance.
.head 4 +  Number: GWL_HWNDPARENT		= -8
.head 5 -  ! Retrieves the handle of the parent window, if any.
.head 4 +  Number: GWL_ID				= -12
.head 5 -  ! Retrieves the identifier of the window.
.head 4 +  Number: GWL_STYLE			= -16
.head 5 -  ! Retrieves the window styles.
.head 4 +  Number: GWL_USERDATA			= -21
.head 5 -  ! Retrieves the 32-bit value associated with the window. Each window has a corresponding 32-bit value intended for use by the application that created the window.
.head 4 +  Number: GWL_WNDPROC			= -4
.head 5 -  ! Retrieves the address of the window procedure, or a handle representing the address of the window procedure.
You must use the CallWindowProc function to call the window procedure.
.head 4 -  !
.head 4 +  Number: WS_BORDER			= 0x00800000
.head 5 -  ! Creates a window that has a border.
.head 4 +  Number: WS_CAPTION			= 0x00C00000
.head 5 -  ! Creates a window that has a title bar (implies the WS_BORDER style). Cannot be used with the WS_DLGFRAME style.
.head 4 +  Number: WS_CHILD			= 0x40000000
.head 5 -  ! Creates a child window. Cannot be used with the WS_POPUP style.
.head 4 +  Number: WS_CLIPCHILDREN		= 0x02000000
.head 5 -  ! Excludes the area occupied by child windows when you draw within the parent window. Used when you create the parent window.
.head 4 +  Number: WS_CLIPSIBLINGS			= 0x04000000
.head 5 -  ! Clips child windows relative to each other; that is, when a particular child window receives a paint message, the WS_CLIPSIBLINGS style clips all other
overlapped child windows out of the region of the child window to be updated. (If WS_CLIPSIBLINGS is not given and child windows overlap, when you
draw within the client area of a child window, it is possible to draw within the client area of a neighboring child window.) For use with the WS_CHILD style only.
.head 4 +  Number: WS_DISABLED			= 0x08000000
.head 5 -  ! Creates a window that is initially disabled.
.head 4 +  Number: WS_DLGFRAME			= 0x00400000
.head 5 -  ! Creates a window with a double border but no title.
.head 4 +  Number: WS_GROUP			= 0x00020000
.head 5 -  ! Specifies the first control of a group of controls in which the user can move from one control to the next with the arrow keys. All controls defined with the
WS_GROUP style FALSE after the first control belong to the same group. The next control with the WS_GROUP style starts the next group (that is, one group
ends where the next begins).
.head 4 +  Number: WS_HSCROLL			= 0x00100000
.head 5 -  ! Creates a window that has a horizontal scroll bar.
.head 4 +  Number: WS_MAXIMIZE			= 0x01000000
.head 5 -  ! Creates a window of maximum size.
.head 4 +  Number: WS_MAXIMIZEBOX			= 0x00010000
.head 5 -  ! Creates a window that has a Maximize button.
.head 4 +  Number: WS_MINIMIZE			= 0x20000000
.head 5 -  ! Creates a window that is initially minimized. For use with the WS_OVERLAPPED style only.
.head 4 +  Number: WS_MINIMIZEBOX			= 0x00020000
.head 5 -  ! Creates a window that has a Minimize button.
.head 4 +  Number: WS_OVERLAPPED			= 0x00000000
.head 5 -  ! Creates an overlapped window. An overlapped window usually has a caption and a border.
.head 4 +  Number: WS_POPUP			= 0x80000000
.head 5 -  ! Creates a pop-up window. Cannot be used with the WS_CHILD style.
.head 4 +  Number: WS_SYSMENU			= 0x00080000
.head 5 -  ! Creates a window that has a Control-menu box in its title bar. Used only for windows with title bars.
.head 4 +  Number: WS_TABSTOP			= 0x00010000
.head 5 -  ! Specifies one of any number of controls through which the user can move by using the TAB key. The TAB key moves the user to the next control
specified by the WS_TABSTOP style.
.head 4 +  Number: WS_THICKFRAME			= 0x00040000
.head 5 -  ! Creates a window with a thick frame that can be used to size the window.
.head 4 +  Number: WS_VISIBLE			= 0x10000000
.head 5 -  ! Creates a window that is initially visible.
.head 4 +  Number: WS_VSCROLL			= 0x00200000
.head 5 -  ! Creates a window that has a vertical scroll bar.
.head 4 -  !
.head 4 +  Number: WS_NO_CAPTION			= 0xFFFFFFFF - ( WS_CAPTION )
.head 5 -  ! Turns WS_NO_CAPTION off
.head 4 +  Number: WS_NO_BORDER			= 0xFFFFFFFF - ( WS_BORDER )
.head 5 -  ! Turns WS_NO_CAPTION off
.head 4 +  Number: WS_NO_MAXIMIZEBOX		= 0xFFFFFFFF - ( WS_MAXIMIZEBOX )
.head 5 -  ! Turns WS_NO_MAXIMIZEBOX off
.head 4 +  Number: WS_NO_MINIMIZEBOX		= 0xFFFFFFFF - ( WS_MINIMIZEBOX )
.head 5 -  ! Turns WS_NO_MINIMIZEBOX off
.head 4 +  Number: WS_NO_THICKFRAME		= 0xFFFFFFFF - ( WS_THICKFRAME )
.head 5 -  ! Turns WS_NO_THICKFRAME off
.head 4 -  !
.head 4 +  Number: WS_CHILDWINDOW		= ( WS_CHILD )
.head 5 -  ! Same as WS_CHILD
.head 4 +  Number: WS_OVERLAPPEDWINDOW		= ( WS_OVERLAPPED | WS_CAPTION | WS_SYSMENU | WS_THICKFRAME | WS_MINIMIZEBOX | WS_MAXIMIZEBOX )
.head 5 -  ! Creates an overlapped window with the WS_OVERLAPPED, WS_CAPTION, WS_SYSMENU, WS_THICKFRAME, WS_MINIMIZEBOX, and
WS_MAXIMIZEBOX styles.
.head 4 +  Number: WS_POPUPWINDOW		= ( WS_POPUP | WS_BORDER | WS_SYSMENU )
.head 5 -  ! Creates a pop-up window with the WS_BORDER, WS_POPUP, and WS_SYSMENU styles. The WS_CAPTION style must be combined with the WS_POPUPWINDOW
style to make the Control menu visible.
.head 4 -  !
.head 4 +  Number: WS_ICONIC			= WS_MINIMIZE
.head 5 -  ! Same as WS_MINIMIZE
.head 4 +  Number: WS_SIZEBOX			= WS_THICKFRAME
.head 5 -  ! Same as WS_THICKFRAME
.head 4 +  Number: WS_TILED			= WS_OVERLAPPED
.head 5 -  ! Same as WS_OVERLAPPED
.head 4 +  Number: WS_TILEDWINDOW		= WS_OVERLAPPEDWINDOW
.head 5 -  ! Same as WS_OVERLAPPEDWINDOW
.head 3 -  User
.head 2 -  Resources
.head 2 -  Variables
.head 2 -  Internal Functions
.head 2 -  Named Menus
.head 2 +  Class Definitions
.head 3 +  Custom Control Class: CCcBackGroundText
.head 4 -  DLL Name:
.head 4 -  Display Settings
.head 5 -  DLL Name:
.head 5 -  MS Windows Class Name:
.head 5 -  Style:  Class Default
.head 5 -  ExStyle:  Class Default
.head 5 -  Title:
.head 5 -  Window Location and Size
.head 6 -  Left:
.head 6 -  Top:   
.head 6 -  Width:  0.383"
.head 6 -  Width Editable? Class Default
.head 6 -  Height: 0.333"
.head 6 -  Height Editable? Class Default
.head 5 -  Visible? Class Default
.head 5 -  Border? Yes
.head 5 -  Etched Border? Class Default
.head 5 -  Hollow? Class Default
.head 5 -  Vertical Scroll? Class Default
.head 5 -  Horizontal Scroll? Class Default
.head 5 -  Tab Stop? Class Default
.head 5 -  Tile To Parent? Class Default
.head 5 -  Font Name: Class Default
.head 5 -  Font Size: Class Default
.head 5 -  Font Enhancement: Class Default
.head 5 -  Text Color: Class Default
.head 5 -  Background Color: Class Default
.head 5 -  DLL Settings
.head 4 -  List in Tool Palette? Yes
.head 4 -  Property Template:
.head 4 -  Class DLL Name:
.head 4 -  Description:
.head 4 -  Derived From
.head 4 -  Class Variables
.head 4 +  Instance Variables
.head 5 -  Window Handle: __m_hWndItem
.head 4 +  Functions
.head 5 +  Function: cfGetHandle
.head 6 -  Description:
.head 6 +  Returns
.head 7 -  Window Handle:
.head 6 -  Parameters
.head 6 -  Static Variables
.head 6 -  Local variables
.head 6 +  Actions
.head 7 -  Return __m_hWndItem
.head 4 +  Message Actions
.head 5 +  On SAM_Create
.head 6 -  Set __m_hWndItem	= hWndItem
.head 6 -  ! Turn off border, which was added only for visualization in design time
.head 6 -  Call SetWindowLongA( __m_hWndItem, GWL_STYLE, GetWindowLongA( __m_hWndItem, GWL_STYLE ) & WS_NO_BORDER )
.head 2 +  Default Classes
.head 3 -  MDI Window: cBaseMDI
.head 3 -  Form Window:
.head 3 -  Dialog Box:
.head 3 -  Table Window:
.head 3 -  Quest Window:
.head 3 -  Data Field:
.head 3 -  Spin Field:
.head 3 -  Multiline Field:
.head 3 -  Pushbutton:
.head 3 -  Radio Button:
.head 3 -  Option Button:
.head 3 -  Check Box:
.head 3 -  Child Table:
.head 3 -  Quest Child Window: cQuickDatabase
.head 3 -  List Box:
.head 3 -  Combo Box:
.head 3 -  Picture:
.head 3 -  Vertical Scroll Bar:
.head 3 -  Horizontal Scroll Bar:
.head 3 -  Column:
.head 3 -  Background Text:
.head 3 -  Group Box:
.head 3 -  Line:
.head 3 -  Frame:
.head 3 -  Custom Control:
.head 3 -  ActiveX:
.head 2 -  Application Actions
.head 1 +  Form Window: frmTest
.head 2 -  Class:
.head 2 -  Property Template:
.head 2 -  Class DLL Name:
.head 2 -  Title:
.head 2 -  Icon File:
.head 2 -  Accesories Enabled? No
.head 2 -  Visible? Yes
.head 2 -  Display Settings
.head 3 -  Display Style? Default
.head 3 -  Visible at Design time? Yes
.head 3 -  Automatically Created at Runtime? Yes
.head 3 -  Initial State: Normal
.head 3 -  Maximizable? Yes
.head 3 -  Minimizable? Yes
.head 3 -  System Menu? Yes
.head 3 -  Resizable? Yes
.head 3 -  Window Location and Size
.head 4 -  Left: Default
.head 4 -  Top:    Default
.head 4 -  Width:  8.2"
.head 4 -  Width Editable? Yes
.head 4 -  Height: 1.036"
.head 4 -  Height Editable? Yes
.head 3 -  Form Size
.head 4 -  Width:  Default
.head 4 -  Height: Default
.head 4 -  Number of Pages: Dynamic
.head 3 -  Font Name: Default
.head 3 -  Font Size: Default
.head 3 -  Font Enhancement: Default
.head 3 -  Text Color: Default
.head 3 -  Background Color: Default
.head 2 -  Description:
.head 2 -  Named Menus
.head 2 -  Menu
.head 2 +  Tool Bar
.head 3 -  Display Settings
.head 4 -  Display Style? Default
.head 4 -  Location? Top
.head 4 -  Visible? Yes
.head 4 -  Size: Default
.head 4 -  Size Editable? Yes
.head 4 -  Font Name: Default
.head 4 -  Font Size: Default
.head 4 -  Font Enhancement: Default
.head 4 -  Text Color: Default
.head 4 -  Background Color: Default
.head 3 -  Contents
.head 2 +  Contents
.head 3 +  Custom Control: bktText
.head 4 -  Class Child Ref Key: 0
.head 4 -  Class ChildKey: 0
.head 4 -  Class: CCcBackGroundText
.head 4 -  Property Template:
.head 4 -  Class DLL Name:
.head 4 -  Display Settings
.head 5 -  DLL Name:
.head 5 -  MS Windows Class Name:
.head 5 -  Style:  Class Default
.head 5 -  ExStyle:  Class Default
.head 5 -  Title:
.head 5 -  Window Location and Size
.head 6 -  Left: 0.367"
.head 6 -  Top:    0.202"
.head 6 -  Width:  7.233"
.head 6 -  Width Editable? Class Default
.head 6 -  Height: 0.226"
.head 6 -  Height Editable? Class Default
.head 5 -  Visible? Class Default
.head 5 -  Border? Class Default
.head 5 -  Etched Border? Class Default
.head 5 -  Hollow? Class Default
.head 5 -  Vertical Scroll? Class Default
.head 5 -  Horizontal Scroll? Class Default
.head 5 -  Tab Stop? Class Default
.head 5 -  Tile To Parent? Class Default
.head 5 -  Font Name: Class Default
.head 5 -  Font Size: Class Default
.head 5 -  Font Enhancement: Class Default
.head 5 -  Text Color: Class Default
.head 5 -  Background Color: Class Default
.head 5 -  DLL Settings
.head 4 +  Message Actions
.head 5 +  On SAM_Create
.head 6 -  Call SalSendClassMessage( SAM_Create, wParam, lParam )
.head 6 -  Call SalSetWindowText( cfGetHandle( ), 'This is a custom control based backgroud text' )
.head 2 -  Functions
.head 2 -  Window Parameters
.head 2 -  Window Variables
.head 2 -  Message Actions
